/*
 * Author: Mari Wang <mariw@tartarus.uwa.edu.au>
 * Date: 1999-11-27
 *
 * Test speed of RoBIOS functions.
 */

#include <eyebot.h>
#include <stdio.h>
#include "../timerheader.h"

int
main(int argc, char *argv[])
{
  char *function_type = "Camera functions"; /* Fill in adequate name
                                             * of functions
                                             * currently being tested */

  /* File specific variables (those needed for testing */
  image img;
  colimage cimg;
  int h, s, i;
  
  index_x += init_test(function_type);

  /* Functions to be tested go here.
   * Semantics:
   * do_test(function_name, parameters);
   */
  do_test(CAMGetFrame,(&img));
  do_test(CAMGetColFrame,(&cimg, 0));
  do_test(CAMGetColFrame,(&cimg, 1));
  do_test(CAMSet,(0,0,0));
  do_test(CAMSet,(127,127,127));
  do_test(CAMSet,(255,255,255));
  do_test(CAMGet,(&i,&h,&s));
  do_test(CAMMode,(AUTOBRIGHTNESS));
  
  end_test();

  return 0;
}
